Contents

GET /monitoring/purses#

Get a list of purses stored by the auditor.

The following query parameters are optional, and can be used to customise the response:

Request:

Query Parameters:
  • limit – A signed integer, indicating how many elements relative to the offset query parameter should be returned. The default value is -20.

  • offset – An unsigned integer, indicating from which row onward to return elements. The default value is INT_MAX.

With the default settings, the endpoint returns at most the 20 latest elements.

Response:

200 OK:

The auditor responds with a top level array of Purses objects. If no elements could be found, an empty array is returned

400 Bad request:

The request is malformed. Returned with an TALER_EC_GENERIC_PARAMETER_MALFORMED error code.

401 Unauthorized:

The request lacks valid authentication credentials. The response comes with a TALER_EC_AUDITOR_GENERIC_UNAUTHORIZED.

500 Internal Server Error:

The server experienced an internal error. The response comes with a TALER_EC_GENERIC_DB_SETUP_FAILED or TALER_EC_GENERIC_DB_FETCH_FAILED error code.

Details:

interface Purses {

  // Unique row identifier
  auditor_purses_rowid : Integer;

  // Public key of the purse
  purse_pub : EddsaPublicKey;

  // Amount currently stored in the purse
  balance : Amount;

  // Amount the purse is intended for / the maximum amount that can be in the purse
  target : Amount;

  // When the purse expires
  expiration_date : Timestamp;

}

Note

This endpoint is still experimental. The endpoint will be further developed as needed.